<style>
    body { font-size: 10px; }
    p { font-size: 12px; }
    input.text { margin-bottom:12px; width:95%; padding: .4em; }
    fieldset { padding:0; border:0; margin-top:25px; }
    .fwd_editor_class { height: 200px !important; }
    .wp-editor-wrap{
    	margin-top: 0 !important;
    }
   
    .playlist { margin-top: 4px; margin-bottom: 4px; }
    .category { margin-top: 4px; margin-bottom: 4px; }
    #add_playlist_btn { margin-top: 6px; }
    .add_category_btn { margin-right: 4px; margin-top: 6px; }
    .edit_playlist_btn { margin-right: 4px; margin-top: 6px; }
    .delete_playlist_btn { margin-right: 4px; margin-top: 6px; }
    .add_thumbnail_btn { margin-right: 4px; margin-top: 6px; }
    .edit_category_btn { margin-right: 4px; margin-top: 6px; }
    .delete_category_btn { margin-right: 4px; margin-top: 6px; }
    
    .fwd-error { color:#FF0000; }
    .ui-tooltip
    {
		max-width: 400px !important;
	}
	
	.fwd-s3dcov-item-product-img{

		width:26px;

		height:25px;

		position:absolute;

		top:2px;

		left:420px;

	}
    
    .edit_thumbnail_btn { cursor: pointer; position:absolute; left:454px; top:6px; }
    .delete_thumbnail_btn { cursor: pointer; position:absolute; left:494px; top:6px; }
    .thumbnail-header { font-size: 10px; cursor: pointer; padding: 8px; margin: 0px; color: #555555; }
    .fwd-thumbnail
    {
    	position:relative;
    	margin-top: 4px;
    	margin-bottom: 4px;
    	width: 554px;
    	height: 29px;
		border: 1px solid #d3d3d3;
		border-radius: 4px;
		background: #e6e6e6 url(<?php echo $this->_dir_url . "css/images/ui-bg_glass_75_e6e6e6_1x400.png" ?>) 50% 50% repeat-x;
    }
    .th_over
    {
    	border: 1px solid #999999;
    	background: #dadada url(<?php echo $this->_dir_url . "css/images/ui-bg_glass_75_dadada_1x400.png" ?>) 50% 50% repeat-x;
    }
</style>

<script>
	var playlistsAr = <?php echo json_encode($this->_data->playlists_ar); ?>;

	if (!playlistsAr){
		playlistsAr = [];
	}
</script>


<div id="add-playlist-dialog" title="Add new gallery">
	<p id="add_pl_tips">The name field is required.</p>
	
	<fieldset>
    	<label for="pl_name">Name:</label>
    	<input type="text" id="pl_name" class="text ui-widget-content ui-corner-all">
  	</fieldset>
</div>

<div id="edit-playlist-dialog" title="Edit gallery">
	<p id="edit_pl_tips">The name field is required.</p>
	
	<fieldset>
    	<label for="pl_name_edit">Name:</label>
    	<input type="text" id="pl_name_edit" class="text ui-widget-content ui-corner-all">
  	</fieldset>
</div>

<div id="delete-playlist-dialog" title="Delete gallery">
	<fieldset>
    	<label>Are you sure you want to delete this playlist?</label>
  	</fieldset>
</div>

<div id="add-category-dialog" title="Add new gallery">
	<p id="add_cat_tips">The name field is required.</p>
	
	<fieldset>
    	<label for="cat_name">Name:</label>
    	<input type="text" id="cat_name" class="text ui-widget-content ui-corner-all">
  	</fieldset>
</div>

<div id="edit-category-dialog" title="Edit gallery">
	<p id="edit_cat_tips">The name field is required.</p>
	
	<fieldset>
    	<label for="cat_name_edit">Name:</label>
    	<input type="text" id="cat_name_edit" class="text ui-widget-content ui-corner-all">
  	</fieldset>
</div>

<div id="delete-category-dialog" title="Delete category">
	<fieldset>
    	<label>Are you sure you want to delete this category?</label>
  	</fieldset>
</div>

<div id="add-thumbnail-dialog" title="Add new item">
	<p id="add_th_tips">The name and thumbnail path fields are required.</p>
	
	<fieldset>
    	<label for="th_name">Name:</label>
    	<br>
    	<input type="text" id="th_name" style="width:500px" class="text ui-widget-content ui-corner-all">
		
		<br><br>
		<div id="th_media">
			<table style="border-spacing:0;">
    			<tr>
		    		<td style="width:500px;padding:0;position:relative;">
		    			<label for="th_url">Item source:</label>
		    		 	<input type="text" id="th_url" style="width:500px" class="text ui-widget-content ui-corner-all">
		    		 	<button id="url_img_btn" style="cursor:pointer;position:relative;top:-8px;">Add source</button>
		    		</td>
					<td>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:-4px;"
						title="Use the 'add source' button to add the gallery item from the media library or add the item URI/path manually, if you want to use HTML content add the element id as the source ex:#myContent.">
					</td>
		    	</tr>
		    </table>
		</div>
    	
    	<br>
    	<div id="upload_image_div">
    		<label for="th_image">Thumbnail path:</label>

    		<table style="border-spacing:0;">
    			<tr>
		    		<td style="width:500px;padding:0;">
		    			<input id="th_image" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
		    		 	<button id="upload_image_button" style="cursor:pointer;position:relative;top:-8px;">Add Image</button>
		    		 	<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:-3px;"
						title="Use the 'add image' button to add the gallery thumbnail from the media library or add the URI/path manually. Please save the thumbnails images(.jpg/.png) at the height specified in the gallery settings, default is 80px. Leave this input blank if you don't want to use thumbnails.">
		    		</td>
		    		<td>
		    			<img src="" id="upload_img" style="width:50px;height:50px;margin-left:20px;">
		    		</td>
		    	</tr>
		    </table>
		</div>

		<br>
		<div id="item_max_width_div">
			<label for="item_max_width">Item maximum width:</label>
			<input id="item_max_width" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:3px;"
			title="This overrides the default item width from the lightbox settings, for example you might want a video item width set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).">
		</div>
		
		<br>
		<div id="item_max_height_div">
			<label for="item_max_height">Item maximum height:</label>
			<input id="item_max_height" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:3px;"
			title="This overrides the default item height from the lightbox settings, for example you might want a video item height set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).">
		</div>
    
		
		<br>
		<div id="upload_video_poster_div">
			<label for="video_poster_source">Video poster path:</label>

			<table style="border-spacing:0;">
				<tr>
					<td style="width:500px;padding:0;">
						<input id="video_poster_source" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
						<button id="video_poster_upload_button" style="cursor:pointer;position:relative;top:-4px;">Add Image</button>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:1px;"
						title="This is a optional video poster(.jpg, .jpeg, .png) for the lightbox item if the item is a video.">
					</td>

					<td>
						<img src="" id="video_poster_thumb" style="width:50px;height:50px;margin-left:20px;">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_subtitle_div" style="margin-top:10px;">
			<label for="videoSubtitle">Video subtitle:</label>
			<table style="border-spacing:0;">
				<tr>
					<td style="width:500px;padding:0;">
						<input id="videoSubtitle" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
						<button id="videoSubtitleButton" style="cursor:pointer;position:relative;top:-4px;">Add subtitle</button>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:1px;"
						title="Use the 'add subtitle' button to add a subtitle/.srt file from the media library or add the subtitle .srt URI/path manually.">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_thumb_preview" style="margin-top:10px;">
			<label for="videoThumbPreview">Video thumbnails preview:</label>
			<table style="border-spacing:0;">
				<tr>
					<td style="width:500px;padding:0;">
						<input id="videoThumbPreview" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
						<button id="videoThumbPreviewButton" style="cursor:pointer;position:relative;top:-4px;">Add .vtt file</button>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:1px;"
						title="Use the 'add .vtt file' button to add a thumbnails preview/.vtt file from the media library or add a thumbnails preview .vtt URI/path manually. If you want to use automatic live thumbnails preview set this option to 'auto', please note thumbnails live preview is not supported for Youtube or Vimeo.">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="vast_upload" style="margin-top:10px;">
			<label for="vast">VAST/VMAP/IMA SDK:</label>
			<input id="vast" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:4px;"
						title="Add here the VAST/VMAP/IMA SDK URI.">
		</div>

		<div id="pass_upload" style="margin-top:14px;">
			<label for="pass">Private video password:</label>
			<input id="pass" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:4px;"
						title="If this item is is a video you can add here a password if you want to make the video password.">
		</div>

		<br><br>
		<div id="th_info_div">
			<label>Item caption:</label>
			
			<?php $settings = array("media_buttons" => false, "wpautop" => false, "editor_class" => "fwd_editor_class", "tinymce" => false);
    			wp_editor("", "thinfo", $settings);?>
			<h4>Caption template:</h4>
			<p>&lt;p class='fwdrmg-title'&gt;Item title&lt;/p&gt;&lt;p class='fwdrmg-desc'&gt;Item Description&lt;/p&gt;</p>
		</div>

	
  	</fieldset>

</div>

<div id="edit-thumbnail-dialog" title="Edit thumbnail">
	<p id="edit_th_tips">The name and thumbnail path fields are required.</p>
	
	
	<fieldset>
    	<label for="th_name_edit">Name:</label>
    	<br>
    	<input type="text" id="th_name_edit" style="width:500px" class="text ui-widget-content ui-corner-all">
    	
		<br><br>
		<div id="th_media_edit">
			<table style="border-spacing:0;">
    			<tr>
		    		<td style="width:500px;padding:0;position:relative;">
		    			<label for="th_url_edit">Item source (enter a URL or upload media):</label>
		    		 	<input type="text" id="th_url_edit" style="width:500px" class="text ui-widget-content ui-corner-all">
		    		 	<button id="url_img_btn_edit" style="cursor:pointer;position:relative;top:-8px;">Add source</button>
		    		</td>
					<td>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:-4px;"
						title="Use the 'add source' button to add the gallery item from the media library or add the item URI/path manually, if you want to use HTML content add the element id as the source ex:#myContent.">
					</td>
		    	</tr>
		    </table>
		</div>
		
    	<br>
    	<div id="upload_image_div_edit">
    		<label for="th_image_edit">Thumbnail path:</label>

    		<table style="border-spacing:0;">
    			<tr>
		    		<td style="width:500px;padding:0;">
		    			<input id="th_image_edit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
		    		 	<button id="upload_image_button_edit" style="cursor:pointer;position:relative;top:-8px;">Add Image</button>
		    		 	<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:-3px;"
						title="Use the 'add image' button to add the gallery thumbnail from the media library or add the URI/path manually. Please save the thumbnails images(.jpg/.png) at the height specified in the gallery settings, default is 80px. Leave this input blank if you don't want to use thumbnails.">
		    		</td>
		    		<td>
		    			<img src="" id="upload_img_edit" style="width:50px;height:50px;margin-left:20px;">
		    		</td>
		    	</tr>
		    </table>
		</div>

		<br>
		<div id="item_max_width_div">
			<label for="item_max_width_edit">Item maximum width:</label>
			<input id="item_max_width_edit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:3px;"
			title="This overrides the default item width from the lightbox settings, for example you might want a video item width set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).">
		</div>
		
		<br>
		<div id="item_max_height_div">
			<label for="item_max_height_edit">Item maximum height:</label>
			<input id="item_max_height_edit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:3px;"
			title="This overrides the default item height from the lightbox settings, for example you might want a video item height set to 1000px, you can do this by modifying this option. This applies to all item types except the image type (.jpg, .jpeg, .png).">
		</div>
		
		<br>
		<div id="upload_video_poster_div_edit">
			<label for="video_poster_source_edit">Video poster path:</label>

			<table style="border-spacing:0;">
				<tr>
					<td style="width:500px;padding:0;">
						<input id="video_poster_source_edit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
						<button id="video_poster_upload_button_edit" style="cursor:pointer;position:relative;top:-4px;">Add Image</button>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:1px;"
						title="This is a optional video poster(.jpg, .jpeg, .png) for the lightbox item if the item is a video.">
					</td>

					<td>
						<img src="" id="video_poster_thumb_edit" style="width:50px;height:50px;margin-left:20px;">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_subtitle_div_edit" style="margin-top:10px;">
			<label for="videoSubtitleEdit">Video subtitle:</label>
			<table style="border-spacing:0;">
				<tr>
					<td style="width:500px;padding:0;">
						<input id="videoSubtitleEdit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
						<button id="videoSubtitleEditButton" style="cursor:pointer;position:relative;top:-4px;">Add subtitle</button>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:1px;"
						title="Use the 'add subtitle' button to add a subtitle/.srt file from the media library or add the subtitle .srt URI/path manually.">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="upload_video_thumb_preview_edit" style="margin-top:10px;">
			<label for="videoThumbPreviewEdit">Video thumbnails preview:</label>
			<table style="border-spacing:0;">
				<tr>
					<td style="width:500px;padding:0;">
						<input id="videoThumbPreviewEdit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
						<button id="videoThumbPreviewButtonEdit" style="cursor:pointer;position:relative;top:-4px;">Add .vtt file</button>
						<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:1px;"
						title="Use the 'add .vtt file' button to add a thumbnails preview/.vtt file from the media library or add a thumbnails preview .vtt URI/path manually. If you want to use automatic live thumbnails preview set this option to 'auto', please note thumbnails live preview is not supported for Youtube or Vimeo.">
					</td>
				</tr>
			</table>
		</div>

		<br>
		<div id="vast_upload_edit" style="margin-top:10px;">
			<label for="vastEdit">VAST/VMAP/IMA SDK:</label>
			<input id="vastEdit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:4px;"
						title="Add here the VAST/VMAP/IMA SDK URI.">
		</div>

		<div id="pass_upload_edit" style="margin-top:14px;">
			<label for="passEdit">Private video password:</label>
			<input id="passEdit" type="text" style="width:500px" class="text ui-widget-content ui-corner-all">
			<img src=<?php echo $this->_dir_url . "content/icons/help-icon.png" ?> style="margin-left:8px;position:relative;top:4px;"
						title="If this item is is a video you can add here a password if you want to make the video password.">
		</div>

		<br><br>
		<div id="th_info_div_edit">
			<label>Item info text:</label>
			<?php
				$settings = array("media_buttons" => false, "wpautop" => false, "editor_class" => "fwd_editor_class", "tinymce" => false);
				wp_editor("", "thinfoedit", $settings);
			?>
			<h4>Caption template:</h4>
			<p>&lt;p class='fwdrmg-title'&gt;Item title&lt;/p&gt;&lt;p class='fwdrmg-desc'&gt;Item Description&lt;/p&gt;</p>
		</div>
  	</fieldset>

	
</div>

<div id="delete-thumbnail-dialog" title="Delete thumbnail">
	<fieldset>
    	<label>Are you sure you want to delete this thumbnail?</label>
  	</fieldset>
</div>

<form action="" method="post" style="margin-top:20px;margin-right:20px;">
	<div style="height:600px;padding:20px;overflow:auto;" class="ui-widget ui-widget-content ui-corner-all">
		<h3>All galleries:</h3>
	  	
		<div id="playlists" style="width:700px">
			<?php 
				$playlists_str = "";
				
				if (isset($this->_data->playlists_ar))
				{
					foreach ($this->_data->playlists_ar as $playlist)
			    	{
			    		$pid = $playlist["id"];
			    		
			    		$playlists_str .= "<div id='pl" . $pid . "' class='playlist'>";
			    		
			    		$playlists_str .= "<h3 class='playlist-header'>" . $playlist["name"] . "<span style='float:right'>ID : " . $pid . "</span></h3>";
			    		
			    		$playlists_str .= "<div>";
			    		
			    		$playlists_str .= "<div id='pl" . $pid . "_cats' class='cats' style='width:654px'>";
			    		
			    		foreach ($playlist["categories"] as $category)
		    			{
		    				
		    				$cid = $category["id"];

		    				$playlists_str .= "<div id='pl" .$pid . "_cat" . $cid . "' class='category'>";
		    				
		    				$playlists_str .= "<h3 class='category-header'>" . $category["name"] . "</h3>";
		    				
		    				$playlists_str .= "<div>";
		    				
		    				$playlists_str .= "<div id='pl" . $pid . "_cat" . $cid . "_ths' class='ths' style='width:554px'>";
		    				
		    				foreach ($category["thumbs"] as $thumb){
		    					$tid = $thumb['id'];

		    					$playlists_str .= "<div id='pl" . $pid . "_cat" . $cid . "_th" . $tid . "' class='fwd-thumbnail'>";
		    					
		    					$playlists_str .= "<h3 class='thumbnail-header'>" . $thumb["name"] . "</h3>";
								if(strrpos($thumb['url'], ".jpg") !== false || strrpos($thumb['url'], ".jpeg") !== false || strrpos($thumb['url'], ".png") !== false){
									$playlists_str .= "<img src='" . $thumb['url'] . "' class='fwd-s3dcov-item-product-img' id='pl" . $pid . "_cat" . $cid . "_th" . $tid . "_img'></img>";
								}
		    					
		    					$playlists_str .= "<button class='delete_thumbnail_btn' id='pl" . $pid . "_cat" . $cid . "_th" . $tid . "_del_btn'>Delete</button>";
		    					
		    					$playlists_str .= "<button class='edit_thumbnail_btn' id='pl" . $pid . "_cat" . $cid . "_th" . $tid . "_edit_btn'>Edit</button>";
		    					
		    					$playlists_str .= "</div>";
		    				}
		    				
		    				$playlists_str .= "</div>";
		    				
		    				$playlists_str .= "<button class='add_thumbnail_btn' id='pl" . $pid . "_cat" . $cid . "_add_btn' style='cursor:pointer;'>Add new item</button>";
		    				
		    				$playlists_str .= "<button class='edit_category_btn' id='pl" . $pid . "_cat" . $cid . "_edit_btn' style='cursor:pointer;'>Edit</button>";
			    		
			    			$playlists_str .= "<button class='delete_category_btn' id='pl" . $pid . "_cat" . $cid . "_del_btn' style='cursor:pointer;'>Delete</button>";
		    				
		    				$playlists_str .= "</div>";
		    				
		    				$playlists_str .= "</div>";
		    			}
			    		
			    		$playlists_str .= "</div>";
			    		
			    		$playlists_str .= "<button class='add_category_btn' id='pl" .$pid . "_add_btn' style='cursor:pointer;'>Add new gallery</button>";
			    		
			    		$playlists_str .= "<button class='edit_playlist_btn' id='pl" . $pid . "_edit_btn' style='cursor:pointer;'>Edit</button>";
			    		
			    		$playlists_str .= "<button class='delete_playlist_btn' id='pl" . $pid . "_del_btn' style='cursor:pointer;'>Delete</button>";
			    		
			    		$playlists_str .= "</div>";
			    		
			    		$playlists_str .= "</div>";
			    	}
			    	
			    	echo $playlists_str;
				}
			?>
		</div>
		
		<em id="pl_em" style="display:block;margin-bottom:8px;">No galleries are available.</em>
		
		<button id="add_playlist_btn" style="cursor:pointer">Add new gallery</button>
  	</div>
  	
  	<input type="hidden" id="playlist_data" name="playlist_data" value="">

	<input id="update_btn" type="submit" name="submit" style="cursor:pointer;margin-top:20px;" value="Update galleries" />
	
	<?php wp_nonce_field("fwdrmg_playlist_manager_update", "fwdrmg_playlist_manager_nonce"); ?>
</form>

<?php echo $msg; ?>

